Skip to main content
GET
/
api
/
v1
/
calendar_events
curl --request GET \
  --url 'https://app.attendee.dev/api/v1/calendar_events?calendar_id=cal_abcdef1234567890&start_time_gte=2025-01-13T10:30:00Z' \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json'
{
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "evt_abcdef1234567890",
      "calendar_id": "cal_abcdef1234567890",
      "platform_uuid": "google_event_123456789",
      "meeting_url": "https://meet.google.com/abc-defg-hij",
      "name": "Team Standup",
      "start_time": "2025-01-15T14:00:00Z",
      "end_time": "2025-01-15T15:00:00Z",
      "is_deleted": false,
      "attendees": [
        {
          "email": "[email protected]",
          "name": "John Doe"
        },
        {
          "email": "[email protected]",
          "name": "Jane Smith"
        }
      ],
      "ical_uid": "[email protected]",
      "raw": {
        "google_event_data": "..."
      },
      "bots": [],
      "created_at": "2025-01-13T10:30:00.123456Z",
      "updated_at": "2025-01-13T10:30:00.123456Z"
    }
  ]
}

Authentication

Requires API key authentication via the Authorization header.

Query Parameters

cursor
string
Cursor for pagination
calendar_id
string
Filter events by calendar ID
calendar_deduplication_key
string
Filter events by calendar deduplication key
event_id
string
Filter events by event ID
updated_at_gte
string
Filter events updated at or after this timestamp (ISO 8601 format)
updated_after
string
deprecated
Deprecated: Use updated_at_gte instead. Alias for updated_at_gte, kept for backwards compatibility.
start_time_gte
string
Filter events with start_time at or after this timestamp (ISO 8601 format)
end_time_lte
string
Filter events with end_time at or before this timestamp (ISO 8601 format)
ordering
string
Order results by field. Use ’-’ prefix for descending order. Default: -updated_at.Allowed values: updated_at, -updated_at, start_time, -start_time, end_time, -end_time, created_at, -created_at

Response

next
string
URL for the next page of results (null if no more results)
previous
string
URL for the previous page of results (null if on first page)
results
array
Array of calendar event objects
id
string
Unique identifier for the calendar event
calendar_id
string
ID of the calendar this event belongs to
platform_uuid
string
UUID of the event on the calendar platform
meeting_url
string
Meeting URL for the event (if available)
name
string
Name/title of the event
start_time
string
Start time of the event (ISO 8601 format)
end_time
string
End time of the event (ISO 8601 format)
is_deleted
boolean
Whether the event has been deleted
attendees
array
List of attendees with email and name
ical_uid
string
iCal UID for the event
raw
object
Raw event data from the calendar platform
bots
array
Array of bots associated with this event
created_at
string
Timestamp when the event was created (ISO 8601 format)
updated_at
string
Timestamp when the event was last updated (ISO 8601 format)
curl --request GET \
  --url 'https://app.attendee.dev/api/v1/calendar_events?calendar_id=cal_abcdef1234567890&start_time_gte=2025-01-13T10:30:00Z' \
  --header 'Authorization: Token YOUR_API_KEY_HERE' \
  --header 'Content-Type: application/json'
{
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "evt_abcdef1234567890",
      "calendar_id": "cal_abcdef1234567890",
      "platform_uuid": "google_event_123456789",
      "meeting_url": "https://meet.google.com/abc-defg-hij",
      "name": "Team Standup",
      "start_time": "2025-01-15T14:00:00Z",
      "end_time": "2025-01-15T15:00:00Z",
      "is_deleted": false,
      "attendees": [
        {
          "email": "[email protected]",
          "name": "John Doe"
        },
        {
          "email": "[email protected]",
          "name": "Jane Smith"
        }
      ],
      "ical_uid": "[email protected]",
      "raw": {
        "google_event_data": "..."
      },
      "bots": [],
      "created_at": "2025-01-13T10:30:00.123456Z",
      "updated_at": "2025-01-13T10:30:00.123456Z"
    }
  ]
}

Build docs developers (and LLMs) love